Forum Flightgear France

Une communauté prend son envol

Vous n'êtes pas identifié(e).

Annonce

Futur nouvel inscrit, tu dois au préalable lire l'intégralité des 10 articles des règles, s'il te plaît. Tout nouveau compte qui ne respecte pas les règles sera supprimé par l'administration.

#76 28/01/2015 8:19:49

lann
Membre
Inscription : 10/01/2010
Messages : 136

Re : Comment installer Flightgear-Osgearth pour Linux

Biloute974 a écrit :

j'ai vérifié et j'ai bien la bonne commande, je ne comprend pas. J'ai bien adapté la commande aux chemins de mon installation.

Donne moi ta commande cmake s'il te plait


Debian stable 64 bits - Core I7 - 14 Go de RAM - NVIDIA GTX-260 - FG 2017.3.1 ou flightgear-osgearth 3.1.0
Logitech Extreme 3D PRO

Hors ligne

#77 28/01/2015 8:35:51

Biloute974
Membre
Inscription : 2/02/2014
Messages : 991

Re : Comment installer Flightgear-Osgearth pour Linux

cmake ../../simgear-osgearth/ -DCMAKE_BUILD_TYPE=Release -DCMAKE_CXX_FLAGS="-O3 -D__STDC_CONSTANT_MACROS" -DCMAKE_C_FLAGS=-O3 -DCMAKE_INSTALL_PREFIX:PATH="../../install/simgear" -DCMAKE_PREFIX_PATH="/home/theddy/fgos/flightgear_osgearth/install/osgearth;/home/theddy/fgos/flightgear_osgearth/install/osg"

Config: Core I5 4690 (3.5 GHz*4) + 16 Go de Ram + Nvidia GTX 970+ GTX 760 (pilotes 361.28)+ LinuxMint 17.2 64 bits--> FG 2017.1.0
Yoke et pédale Saitek Proflight - Avions: 777 et DHC 6
Mes vols
Mes livrées

Hors ligne

#78 28/01/2015 21:59:53

lann
Membre
Inscription : 10/01/2010
Messages : 136

Re : Comment installer Flightgear-Osgearth pour Linux

@Biloute974
As-tu bien au moins ces 3 fichiers dans le dossier /home/theddy/fgos/flightgear_osgearth/install/osg/ib64 :

libosg.so
libosg.so.3.2.2
libosg.so.100


Debian stable 64 bits - Core I7 - 14 Go de RAM - NVIDIA GTX-260 - FG 2017.3.1 ou flightgear-osgearth 3.1.0
Logitech Extreme 3D PRO

Hors ligne

#79 28/01/2015 22:31:55

f-toro
Administrateur
Lieu : LFLA
Inscription : 16/12/2007
Messages : 2 202

Re : Comment installer Flightgear-Osgearth pour Linux

@lann, et Biloute

Attention, en plus du répertoire /home/theddy/fgos/flightgear_osgearth/install/osg/lib64, il faut aussi un répertoire /home/theddy/fgos/flightgear_osgearth/install/osg/lib, donc faire un lien symbolique de répertoire symbolique lib vers le répertoire lib64.

@lann

lann a écrit :

Mais tu as surtout ça :

[osgEarth]* [VirtualProgram] Program link failure!
[osgEarth]* [VirtualProgram] Program link failure!

qui me fait penser que Flightgear ne lance pas la bonne librairie gdal

Si tu le dis.
En tout cas il ne me semble pas bien normal de compiler avec deux librairies.
Je vais retenter la compilation de flightgear dans un premier temps en gardant la librairie compilée, et en supprimant les paquets système libgdal-dev et consorts.

Je suppose alors que si l'instruction :

-DCMAKE_EXE_LINKER_FLAGS="-lgdal"

ne trouve pas la librairie libgdal dans /usr/lib , elle va aller la chercher automatiquement dans /usr/local/lib , exact ?


André. anciennement taureau89_9
Debian Testing Amd64. CM Sabertooth 990FX, FX8350, 32 Go Ram DDR3 1866 Mhz, GTX 750ti 2Go, DD 2To Sata 3, THRUSTMASTER T.Flight StickX, FG 2017.4.0 Git.

Hors ligne

#80 28/01/2015 22:59:24

lann
Membre
Inscription : 10/01/2010
Messages : 136

Re : Comment installer Flightgear-Osgearth pour Linux

f-toro a écrit :

elle va aller la chercher automatiquement dans /usr/local/lib , exact ?

Je n'en sais rien

f-toro a écrit :

Je vais retenter la compilation de flightgear dans un premier temps en gardant la librairie compilée, et en supprimant les paquets système libgdal-dev et consorts.

J'aurais plutot tenté de faire l'inverse : garder les paquets système et supprimer la librairie compilée.
ça m'aurait permis également de valider le fait qu'il n'y a pas besoin des sources de gdal.


Debian stable 64 bits - Core I7 - 14 Go de RAM - NVIDIA GTX-260 - FG 2017.3.1 ou flightgear-osgearth 3.1.0
Logitech Extreme 3D PRO

Hors ligne

#81 28/01/2015 23:26:18

f-toro
Administrateur
Lieu : LFLA
Inscription : 16/12/2007
Messages : 2 202

Re : Comment installer Flightgear-Osgearth pour Linux

Mouais.

Je peux essayer les deux solutions.

J'ai compilé gdal avec checkinstall, je peux donc le virer facilement.
Mais comme, si la suppression des paquets compilés ne marche pas, je vais devoir les recompiler pour essayer la solution sans les paquets système, que c'est beaucoup plus long de les recompiler, que je suis un peu fainéant par moments, qu'en plus ce soir j'ai fait pas mal de bornes en bagnole et que j'en ai un peu ras la casquette, bref, si vous avez bien suivi, je vais d'abord essayer de virer les paquets système libgdal-dev et consorts !

Et puis zut on verra ça demain !

Et Biloute, le lien symbolique ?


André. anciennement taureau89_9
Debian Testing Amd64. CM Sabertooth 990FX, FX8350, 32 Go Ram DDR3 1866 Mhz, GTX 750ti 2Go, DD 2To Sata 3, THRUSTMASTER T.Flight StickX, FG 2017.4.0 Git.

Hors ligne

#82 28/01/2015 23:37:12

Biloute974
Membre
Inscription : 2/02/2014
Messages : 991

Re : Comment installer Flightgear-Osgearth pour Linux

Bonsoir,

oui j'ai bien les trois fichiers dans lib64. Je vais aller créé le dossier lib et créé un lien symbolique pour test à nouveau.


Config: Core I5 4690 (3.5 GHz*4) + 16 Go de Ram + Nvidia GTX 970+ GTX 760 (pilotes 361.28)+ LinuxMint 17.2 64 bits--> FG 2017.1.0
Yoke et pédale Saitek Proflight - Avions: 777 et DHC 6
Mes vols
Mes livrées

Hors ligne

#83 29/01/2015 14:59:01

f-toro
Administrateur
Lieu : LFLA
Inscription : 16/12/2007
Messages : 2 202

Re : Comment installer Flightgear-Osgearth pour Linux

@lann

Un dodo après, résultat des courses.

1) Recompilation de flightgear avec librairies gdal compilées et sans les librairies gdal système

Erreur de lien gdal arrivé à 100% du make (toujours avec le nouveau cmake)
Bêtement je n'ai pas recopié la ligne d'erreur pour passer à l'étape 2.
A mon avis on doit pouvoir compiler avec les librairies compilées, il n'y a pas de raisons, mais il faut probablement indiquer un PATH de gdal au cmake.

2) Recompilation de flightgear après suppression des librairies gdal compilées et avec les librairies gdal système

Pas d'erreur de compilation.

Puis lancement de Flightgear.
Cette fois-ci il n'y a plus d'erreur de doublon de libgdal.
Il n'y a plus non plus d'erreur de windsock_lit.ac .
Mais après chargement des données, sortie brutale de FG, toujours avec la même erreur :

andre@990FX6100:~/flightgear_osgearth$ ./flightgear.sh
Enabling ATI viewport hack
Starting automatic scenery download/synchronization. Using built-in SVN support. Directory: '/home/andre/.fgfs/TerraSync'.
environment init
KMA20 audio panel initialized
KI266 dme indicator #0 initialized
[osgEarth]* [VirtualProgram] Program link failure!
[osgEarth]* [VirtualProgram] Program link failure!
Electrical system initialized
Segmentation fault
andre@990FX6100:~/flightgear_osgearth$

Donc l'erreur ne vient manifestement pas de gdal, lann.

C'est un problème de lien entre flightgear et le programme virtuel osgEarth.

Mais comment y remédier, là, je sèche.


André. anciennement taureau89_9
Debian Testing Amd64. CM Sabertooth 990FX, FX8350, 32 Go Ram DDR3 1866 Mhz, GTX 750ti 2Go, DD 2To Sata 3, THRUSTMASTER T.Flight StickX, FG 2017.4.0 Git.

Hors ligne

#84 29/01/2015 16:36:48

ctesc356
Membre
Inscription : 18/05/2010
Messages : 2 229

Re : Comment installer Flightgear-Osgearth pour Linux

Bonjour,
j'ai voulu m'y mettre aussi wink
Tout c'est à peu près bien passé jusqu'au "Cmake" de flightgear. Il cherche PLIB. J'ai copié PLIB de mon fg3.5 et ajouté le chemin dans

cmake ../../flightgear-osgearth/ -DCMAKE_BUILD_TYPE=Release -D"WITH_FGPANEL=OFF" -DCMAKE_CXX_FLAGS="-O3 -D__STDC_CONSTANT_MACROS" -DCMAKE_C_FLAGS="-O3" -DCMAKE_INSTALL_PREFIX:PATH="../../install/flightgear" -DCMAKE_PREFIX_PATH="/home/tt/flightgear_osgearth/install/osgearth;/home/tt/flightgear_osgearth/install/simgear;/home/tt/flightgear_osgearth/install/osg;/home/tt/flightgear_osgearth/install/plib" -DCMAKE_EXE_LINKER_FLAGS="-lgdal"

et il est content smile
Mais au "make" j'ai beaucoup de "warnings" et à la fin:

Linking CXX executable fgfs
/usr/bin/ld: CMakeFiles/fgfs.dir/__/Viewer/OsgEarthHeightField.cxx.o: référence au symbole non défini «GDALSetRasterNoDataValue@@GDAL_1.8»
/usr/lib/gcc/x86_64-linux-gnu/4.8/../../../../lib/libgdal.so: error adding symbols: DSO missing from command line
collect2: error: ld returned 1 exit status
make[2]: *** [src/Main/fgfs] Erreur 1
make[1]: *** [src/Main/CMakeFiles/fgfs.dir/all] Erreur 2
make: *** [all] Erreur 2

J'ai vu que vous en étiez arrivés là aussi, mais j'ai pas capté le remède? sad


Intel i5 3570 3.4Mhz, Nvidia GTX 660, 8Go Ram, Linux Mint

Hors ligne

#85 29/01/2015 17:55:33

f-toro
Administrateur
Lieu : LFLA
Inscription : 16/12/2007
Messages : 2 202

Re : Comment installer Flightgear-Osgearth pour Linux

Je vois que ça intéresse de plus en plus de monde, ça me plait bien !
La dernière ligne du cmake n'aura aucun effet si les paquets système libgdal de dev ne sont pas installés.
Là je suis sur mon smartphone mais de mémoire c'est libgdal-dev libgdal1-dev et libgdal1h.


André. anciennement taureau89_9
Debian Testing Amd64. CM Sabertooth 990FX, FX8350, 32 Go Ram DDR3 1866 Mhz, GTX 750ti 2Go, DD 2To Sata 3, THRUSTMASTER T.Flight StickX, FG 2017.4.0 Git.

Hors ligne

#86 30/01/2015 1:22:08

ctesc356
Membre
Inscription : 18/05/2010
Messages : 2 229

Re : Comment installer Flightgear-Osgearth pour Linux

Merci André, il me manquait libgdal1-dev, mais ça ne change rien. Ou faut-il tout reprendre, pas seulement fgfs?


Intel i5 3570 3.4Mhz, Nvidia GTX 660, 8Go Ram, Linux Mint

Hors ligne

#87 30/01/2015 8:54:18

Biloute974
Membre
Inscription : 2/02/2014
Messages : 991

Re : Comment installer Flightgear-Osgearth pour Linux

SAlut,
en supprimant les fichiers du dossiers flightgear en en relançant la compil ça devrait aller.


Config: Core I5 4690 (3.5 GHz*4) + 16 Go de Ram + Nvidia GTX 970+ GTX 760 (pilotes 361.28)+ LinuxMint 17.2 64 bits--> FG 2017.1.0
Yoke et pédale Saitek Proflight - Avions: 777 et DHC 6
Mes vols
Mes livrées

Hors ligne

#88 30/01/2015 9:06:49

ctesc356
Membre
Inscription : 18/05/2010
Messages : 2 229

Re : Comment installer Flightgear-Osgearth pour Linux

Bonjour,
c'est ce que j'ai fait mais ça coince toujours au "make", comme ci dessus.


Intel i5 3570 3.4Mhz, Nvidia GTX 660, 8Go Ram, Linux Mint

Hors ligne

#89 30/01/2015 18:33:00

lann
Membre
Inscription : 10/01/2010
Messages : 136

Re : Comment installer Flightgear-Osgearth pour Linux

As-tu relancé le cmake


Debian stable 64 bits - Core I7 - 14 Go de RAM - NVIDIA GTX-260 - FG 2017.3.1 ou flightgear-osgearth 3.1.0
Logitech Extreme 3D PRO

Hors ligne

#90 30/01/2015 19:17:52

f-toro
Administrateur
Lieu : LFLA
Inscription : 16/12/2007
Messages : 2 202

Re : Comment installer Flightgear-Osgearth pour Linux

Suite aux quatre derniers messages :

1) il suffit à priori de relancer la compilation de flightgear.
Je dis à priori car c'est ce que j'ai fait et j'ai l'erreur :

[osgEarth]* [VirtualProgram] Program link failure!
[osgEarth]* [VirtualProgram] Program link failure!
Electrical system initialized
Segmentation fault 

à la fin du chargement des données, qui me referme la fenêtre simulateur, alors que FG s'était bien lancé. (une idée, lann ?)
Donc je me demande si je ne vais pas tout recompiler, tout en pensant que ça ne changera rien...

2) C'est tout le contenu du répertoire ../../flightgear_osgearth/build/flightgear/ qu'il faut supprimer.
Si la compilation n'a pas abouti par un make install, il ne doit pas exister de répertoire ../../flightgear_osgearth/install/flightgear/ (sinon, le supprimer pour recommencer la compilation).

3) bien sûr tout relancer, cmake et make.

Mais si les paquets système libgdal1h, libgdal-dev et libgdal1-dev sont installés, et si la compilation est bien relancée, il n'y a aucune raison qu'il y ait l'erreur :

/usr/bin/ld: CMakeFiles/fgfs.dir/__/Viewer/OsgEarthHeightField.cxx.o: référence au symbole non défini «GDALSetRasterNoDataValue@@GDAL_1.8»
/usr/lib/gcc/x86_64-linux-gnu/4.8/../../../../lib/libgdal.so: error adding symbols: DSO missing from command line 

et ce avec le cmake que tu nous as indiqué, ctesc356.

Ceci dit du moment qu'une compilation trouve une libraire dont elle a besoin c'est bon, mais pour plib il t'aurait suffit d'installer le paquet système libplib-dev, sans indiquer de PATH au cmake.


André. anciennement taureau89_9
Debian Testing Amd64. CM Sabertooth 990FX, FX8350, 32 Go Ram DDR3 1866 Mhz, GTX 750ti 2Go, DD 2To Sata 3, THRUSTMASTER T.Flight StickX, FG 2017.4.0 Git.

Hors ligne

#91 30/01/2015 19:18:53

lann
Membre
Inscription : 10/01/2010
Messages : 136

Re : Comment installer Flightgear-Osgearth pour Linux

@f-toro

J'ai démarré flightgear_osgearth depuis ma machine virtuelle. Évidemment je ne vais pas au bout du démarrage car avec la carde graphique 3D virtuelle ça ne fonctionne pas. Je m'arrête à "Chargement des scènes".
Mais j'arrive tout de même à voir le menu.
Voici ma sortie du terminal :

libGL error: pci id for fd 7: 80ee:beef, driver (null)
OpenGL Warning: Failed to connect to host. Make sure 3D acceleration is enabled for this VM.
libGL error: core dri or dri2 extension not found
libGL error: failed to load driver: vboxvideo
Enabling ATI viewport hack
environment init
canvas::Text: Failed to open font file /home/lann/flightgear_osgearth/install/flightgear/fgdata/Fonts/LiberationFonts/LiberationSans-Bold.ttf

Pas d'erreur de linkage osgearth

Pour comparaison, je te donne la sortie de

export LD_LIBRARY_PATH=file:/home/lann/flightgear_osgearth/install/simgear/lib/x86_64-linux-gnu:/home/lann/flightgear_osgearth/install/osgearth/lib64:/home/lann/flightgear_osgearth/install/osg/lib64

Change les chemins pour ton installation

et

ldd fgfs

ce qui donne

linux-vdso.so.1 (0x00007fff3a7fc000)
	libgdal.so.1 => /usr/lib/libgdal.so.1 (0x00007f92ca9b9000)
	libopenal.so.1 => /usr/lib/x86_64-linux-gnu/libopenal.so.1 (0x00007f92ca75d000)
	libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f92ca540000)
	libosgText.so.100 => /home/lann/flightgear_osgearth/install/osg/lib64/libosgText.so.100 (0x00007f92ca2d5000)
	libosgSim.so.100 => /home/lann/flightgear_osgearth/install/osg/lib64/libosgSim.so.100 (0x00007f92ca032000)
	libosgDB.so.100 => /home/lann/flightgear_osgearth/install/osg/lib64/libosgDB.so.100 (0x00007f92c9d16000)
	libosgParticle.so.100 => /home/lann/flightgear_osgearth/install/osg/lib64/libosgParticle.so.100 (0x00007f92c9ab3000)
	libosgFX.so.100 => /home/lann/flightgear_osgearth/install/osg/lib64/libosgFX.so.100 (0x00007f92c9881000)
	libosgUtil.so.100 => /home/lann/flightgear_osgearth/install/osg/lib64/libosgUtil.so.100 (0x00007f92c9497000)
	libosgViewer.so.100 => /home/lann/flightgear_osgearth/install/osg/lib64/libosgViewer.so.100 (0x00007f92c91aa000)
	libosgGA.so.100 => /home/lann/flightgear_osgearth/install/osg/lib64/libosgGA.so.100 (0x00007f92c8f2b000)
	libosg.so.100 => /home/lann/flightgear_osgearth/install/osg/lib64/libosg.so.100 (0x00007f92c89d1000)
	libOpenThreads.so.20 => /home/lann/flightgear_osgearth/install/osg/lib64/libOpenThreads.so.20 (0x00007f92c87ca000)
	libGLU.so.1 => /usr/lib/x86_64-linux-gnu/libGLU.so.1 (0x00007f92c855b000)
	libGL.so.1 => /usr/lib/x86_64-linux-gnu/libGL.so.1 (0x00007f92c82c1000)
	libSM.so.6 => /usr/lib/x86_64-linux-gnu/libSM.so.6 (0x00007f92c80b9000)
	libICE.so.6 => /usr/lib/x86_64-linux-gnu/libICE.so.6 (0x00007f92c7e9b000)
	libX11.so.6 => /usr/lib/x86_64-linux-gnu/libX11.so.6 (0x00007f92c7b58000)
	libXext.so.6 => /usr/lib/x86_64-linux-gnu/libXext.so.6 (0x00007f92c7946000)
	libplibpuaux.so.1 => /usr/lib/libplibpuaux.so.1 (0x00007f92c7723000)
	libplibjs.so.1 => /usr/lib/libplibjs.so.1 (0x00007f92c7520000)
	libplibpu.so.1 => /usr/lib/libplibpu.so.1 (0x00007f92c7301000)
	libplibfnt.so.1 => /usr/lib/libplibfnt.so.1 (0x00007f92c70e7000)
	libplibsg.so.1 => /usr/lib/libplibsg.so.1 (0x00007f92c6ed2000)
	libplibul.so.1 => /usr/lib/libplibul.so.1 (0x00007f92c6ccc000)
	libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007f92c6ab0000)
	librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f92c68a8000)
	libosgEarth.so.0 => /home/lann/flightgear_osgearth/install/osgearth/lib64/libosgEarth.so.0 (0x00007f92c6362000)
	libosgEarthUtil.so.0 => /home/lann/flightgear_osgearth/install/osgearth/lib64/libosgEarthUtil.so.0 (0x00007f92c5f6a000)
	libosgEarthSymbology.so.0 => /home/lann/flightgear_osgearth/install/osgearth/lib64/libosgEarthSymbology.so.0 (0x00007f92c5c1f000)
	libosgEarthAnnotation.so.0 => /home/lann/flightgear_osgearth/install/osgearth/lib64/libosgEarthAnnotation.so.0 (0x00007f92c5956000)
	libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f92c564a000)
	libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f92c5349000)
	libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f92c5133000)
	libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f92c4d89000)
	libarmadillo.so.4 => /usr/lib/libarmadillo.so.4 (0x00007f92c4b82000)
	libproj.so.0 => /usr/lib/libproj.so.0 (0x00007f92c492f000)
	libpoppler.so.46 => /usr/lib/x86_64-linux-gnu/libpoppler.so.46 (0x00007f92c44a2000)
	libfreexl.so.1 => /usr/lib/x86_64-linux-gnu/libfreexl.so.1 (0x00007f92c4298000)
	libgeos_c.so.1 => /usr/lib/libgeos_c.so.1 (0x00007f92c4071000)
	libwebp.so.5 => /usr/lib/x86_64-linux-gnu/libwebp.so.5 (0x00007f92c3e13000)
	libepsilon.so.1 => /usr/lib/x86_64-linux-gnu/libepsilon.so.1 (0x00007f92c3bfb000)
	libodbc.so.2 => /usr/lib/x86_64-linux-gnu/libodbc.so.2 (0x00007f92c3993000)
	libodbcinst.so.2 => /usr/lib/x86_64-linux-gnu/libodbcinst.so.2 (0x00007f92c3780000)
	libkmldom.so.0 => /usr/lib/x86_64-linux-gnu/libkmldom.so.0 (0x00007f92c34d0000)
	libkmlbase.so.0 => /usr/lib/x86_64-linux-gnu/libkmlbase.so.0 (0x00007f92c32ba000)
	libkmlengine.so.0 => /usr/lib/x86_64-linux-gnu/libkmlengine.so.0 (0x00007f92c3083000)
	libkmlconvenience.so.0 => /usr/lib/x86_64-linux-gnu/libkmlconvenience.so.0 (0x00007f92c2e66000)
	libminizip.so.0 => /usr/lib/x86_64-linux-gnu/libminizip.so.0 (0x00007f92c2c5e000)
	liburiparser.so.1 => /usr/lib/liburiparser.so.1 (0x00007f92c2a42000)
	libexpat.so.1 => /lib/x86_64-linux-gnu/libexpat.so.1 (0x00007f92c2819000)
	libxerces-c-3.1.so => /usr/lib/x86_64-linux-gnu/libxerces-c-3.1.so (0x00007f92c2283000)
	libjasper.so.1 => /usr/lib/x86_64-linux-gnu/libjasper.so.1 (0x00007f92c2028000)
	libnetcdf.so.7 => /usr/lib/libnetcdf.so.7 (0x00007f92c1cdc000)
	libhdf5_serial.so.8 => /usr/lib/x86_64-linux-gnu/libhdf5_serial.so.8 (0x00007f92c181e000)
	libmfhdfalt.so.0 => /usr/lib/libmfhdfalt.so.0 (0x00007f92c15f7000)
	libdfalt.so.0 => /usr/lib/libdfalt.so.0 (0x00007f92c134c000)
	libogdi.so.3.2 => /usr/lib/libogdi.so.3.2 (0x00007f92c112c000)
	libgif.so.4 => /usr/lib/x86_64-linux-gnu/libgif.so.4 (0x00007f92c0f22000)
	libjpeg.so.62 => /usr/lib/x86_64-linux-gnu/libjpeg.so.62 (0x00007f92c0ccb000)
	libpng12.so.0 => /lib/x86_64-linux-gnu/libpng12.so.0 (0x00007f92c0aa4000)
	libpq.so.5 => /usr/lib/x86_64-linux-gnu/libpq.so.5 (0x00007f92c0873000)
	liblzma.so.5 => /lib/x86_64-linux-gnu/liblzma.so.5 (0x00007f92c0650000)
	libdapclient.so.3 => /usr/lib/x86_64-linux-gnu/libdapclient.so.3 (0x00007f92c0417000)
	libdapserver.so.7 => /usr/lib/x86_64-linux-gnu/libdapserver.so.7 (0x00007f92c0207000)
	libdap.so.11 => /usr/lib/x86_64-linux-gnu/libdap.so.11 (0x00007f92bff1b000)
	libspatialite.so.5 => /usr/lib/x86_64-linux-gnu/libspatialite.so.5 (0x00007f92bf91a000)
	libcurl-gnutls.so.4 => /usr/lib/x86_64-linux-gnu/libcurl-gnutls.so.4 (0x00007f92bf6ac000)
	libxml2.so.2 => /usr/lib/x86_64-linux-gnu/libxml2.so.2 (0x00007f92bf347000)
	libmysqlclient.so.18 => /usr/lib/x86_64-linux-gnu/libmysqlclient.so.18 (0x00007f92bee05000)
	libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f92bec00000)
	/lib64/ld-linux-x86-64.so.2 (0x00007f92cb76a000)
	libglapi.so.0 => /usr/lib/x86_64-linux-gnu/libglapi.so.0 (0x00007f92be9d5000)
	libXdamage.so.1 => /usr/lib/x86_64-linux-gnu/libXdamage.so.1 (0x00007f92be7d2000)
	libXfixes.so.3 => /usr/lib/x86_64-linux-gnu/libXfixes.so.3 (0x00007f92be5cb000)
	libX11-xcb.so.1 => /usr/lib/x86_64-linux-gnu/libX11-xcb.so.1 (0x00007f92be3c9000)
	libxcb-glx.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-glx.so.0 (0x00007f92be1b0000)
	libxcb-dri2.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-dri2.so.0 (0x00007f92bdfaa000)
	libxcb-dri3.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-dri3.so.0 (0x00007f92bdda7000)
	libxcb-present.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-present.so.0 (0x00007f92bdba4000)
	libxcb-sync.so.1 => /usr/lib/x86_64-linux-gnu/libxcb-sync.so.1 (0x00007f92bd99c000)
	libxcb.so.1 => /usr/lib/x86_64-linux-gnu/libxcb.so.1 (0x00007f92bd77a000)
	libxshmfence.so.1 => /usr/lib/x86_64-linux-gnu/libxshmfence.so.1 (0x00007f92bd578000)
	libXxf86vm.so.1 => /usr/lib/x86_64-linux-gnu/libXxf86vm.so.1 (0x00007f92bd371000)
	libdrm.so.2 => /usr/lib/x86_64-linux-gnu/libdrm.so.2 (0x00007f92bd164000)
	libuuid.so.1 => /lib/x86_64-linux-gnu/libuuid.so.1 (0x00007f92bcf5e000)
	libXi.so.6 => /usr/lib/x86_64-linux-gnu/libXi.so.6 (0x00007f92bcd4e000)
	libXmu.so.6 => /usr/lib/x86_64-linux-gnu/libXmu.so.6 (0x00007f92bcb35000)
	libosgTerrain.so.100 => /home/lann/flightgear_osgearth/install/osg/lib64/libosgTerrain.so.100 (0x00007f92bc8f0000)
	libosgShadow.so.100 => /home/lann/flightgear_osgearth/install/osg/lib64/libosgShadow.so.100 (0x00007f92bc640000)
	libosgManipulator.so.100 => /home/lann/flightgear_osgearth/install/osg/lib64/libosgManipulator.so.100 (0x00007f92bc3f3000)
	libosgEarthFeatures.so.0 => /home/lann/flightgear_osgearth/install/osgearth/lib64/libosgEarthFeatures.so.0 (0x00007f92bc0e2000)
	libosgWidget.so.100 => /home/lann/flightgear_osgearth/install/osg/lib64/libosgWidget.so.100 (0x00007f92bbe76000)
	libblas.so.3 => /usr/lib/libblas.so.3 (0x00007f92bbbf5000)
	liblapack.so.3 => /usr/lib/liblapack.so.3 (0x00007f92bb447000)
	libarpack.so.2 => /usr/lib/libarpack.so.2 (0x00007f92bb1f9000)
	liblcms2.so.2 => /usr/lib/x86_64-linux-gnu/liblcms2.so.2 (0x00007f92baf9e000)
	libtiff.so.5 => /usr/lib/x86_64-linux-gnu/libtiff.so.5 (0x00007f92bad29000)
	libopenjpeg.so.5 => /usr/lib/x86_64-linux-gnu/libopenjpeg.so.5 (0x00007f92bab05000)
	libfontconfig.so.1 => /usr/lib/x86_64-linux-gnu/libfontconfig.so.1 (0x00007f92ba8c7000)
	libfreetype.so.6 => /usr/lib/x86_64-linux-gnu/libfreetype.so.6 (0x00007f92ba61d000)
	libgeos-3.4.2.so => /usr/lib/libgeos-3.4.2.so (0x00007f92ba276000)
	libpopt.so.0 => /lib/x86_64-linux-gnu/libpopt.so.0 (0x00007f92ba068000)
	libltdl.so.7 => /usr/lib/x86_64-linux-gnu/libltdl.so.7 (0x00007f92b9e5e000)
	libnsl.so.1 => /lib/x86_64-linux-gnu/libnsl.so.1 (0x00007f92b9c45000)
	libicui18n.so.52 => /usr/lib/x86_64-linux-gnu/libicui18n.so.52 (0x00007f92b9832000)
	libicuuc.so.52 => /usr/lib/x86_64-linux-gnu/libicuuc.so.52 (0x00007f92b94b4000)
	libicudata.so.52 => /usr/lib/x86_64-linux-gnu/libicudata.so.52 (0x00007f92b7c46000)
	libhdf5_serial_hl.so.8 => /usr/lib/x86_64-linux-gnu/libhdf5_serial_hl.so.8 (0x00007f92b7a15000)
	libssl.so.1.0.0 => /usr/lib/x86_64-linux-gnu/libssl.so.1.0.0 (0x00007f92b77b4000)
	libcrypto.so.1.0.0 => /usr/lib/x86_64-linux-gnu/libcrypto.so.1.0.0 (0x00007f92b73ba000)
	libgssapi_krb5.so.2 => /usr/lib/x86_64-linux-gnu/libgssapi_krb5.so.2 (0x00007f92b7170000)
	libldap_r-2.4.so.2 => /usr/lib/x86_64-linux-gnu/libldap_r-2.4.so.2 (0x00007f92b6f1d000)
	libsqlite3.so.0 => /usr/lib/x86_64-linux-gnu/libsqlite3.so.0 (0x00007f92b6c55000)
	libidn.so.11 => /usr/lib/x86_64-linux-gnu/libidn.so.11 (0x00007f92b6a20000)
	librtmp.so.1 => /usr/lib/x86_64-linux-gnu/librtmp.so.1 (0x00007f92b6803000)
	libssh2.so.1 => /usr/lib/x86_64-linux-gnu/libssh2.so.1 (0x00007f92b65da000)
	libnettle.so.4 => /usr/lib/x86_64-linux-gnu/libnettle.so.4 (0x00007f92b63a7000)
	libgnutls-deb0.so.28 => /usr/lib/x86_64-linux-gnu/libgnutls-deb0.so.28 (0x00007f92b6088000)
	libkrb5.so.3 => /usr/lib/x86_64-linux-gnu/libkrb5.so.3 (0x00007f92b5db4000)
	libk5crypto.so.3 => /usr/lib/x86_64-linux-gnu/libk5crypto.so.3 (0x00007f92b5b82000)
	libcom_err.so.2 => /lib/x86_64-linux-gnu/libcom_err.so.2 (0x00007f92b597e000)
	liblber-2.4.so.2 => /usr/lib/x86_64-linux-gnu/liblber-2.4.so.2 (0x00007f92b576f000)
	libXau.so.6 => /usr/lib/x86_64-linux-gnu/libXau.so.6 (0x00007f92b556a000)
	libXdmcp.so.6 => /usr/lib/x86_64-linux-gnu/libXdmcp.so.6 (0x00007f92b5365000)
	libXt.so.6 => /usr/lib/x86_64-linux-gnu/libXt.so.6 (0x00007f92b50fb000)
	libgfortran.so.3 => /usr/lib/x86_64-linux-gnu/libgfortran.so.3 (0x00007f92b4ddc000)
	libquadmath.so.0 => /usr/lib/x86_64-linux-gnu/libquadmath.so.0 (0x00007f92b4b9f000)
	libjbig.so.0 => /usr/lib/x86_64-linux-gnu/libjbig.so.0 (0x00007f92b4990000)
	libkrb5support.so.0 => /usr/lib/x86_64-linux-gnu/libkrb5support.so.0 (0x00007f92b4783000)
	libkeyutils.so.1 => /lib/x86_64-linux-gnu/libkeyutils.so.1 (0x00007f92b457f000)
	libresolv.so.2 => /lib/x86_64-linux-gnu/libresolv.so.2 (0x00007f92b4368000)
	libsasl2.so.2 => /usr/lib/x86_64-linux-gnu/libsasl2.so.2 (0x00007f92b414b000)
	libhogweed.so.2 => /usr/lib/x86_64-linux-gnu/libhogweed.so.2 (0x00007f92b3f1c000)
	libgmp.so.10 => /usr/lib/x86_64-linux-gnu/libgmp.so.10 (0x00007f92b3c99000)
	libgcrypt.so.20 => /lib/x86_64-linux-gnu/libgcrypt.so.20 (0x00007f92b39b7000)
	libp11-kit.so.0 => /usr/lib/x86_64-linux-gnu/libp11-kit.so.0 (0x00007f92b3771000)
	libtasn1.so.6 => /usr/lib/x86_64-linux-gnu/libtasn1.so.6 (0x00007f92b355e000)
	libgpg-error.so.0 => /lib/x86_64-linux-gnu/libgpg-error.so.0 (0x00007f92b334b000)
	libffi.so.6 => /usr/lib/x86_64-linux-gnu/libffi.so.6 (0x00007f92b3143000)

Debian stable 64 bits - Core I7 - 14 Go de RAM - NVIDIA GTX-260 - FG 2017.3.1 ou flightgear-osgearth 3.1.0
Logitech Extreme 3D PRO

Hors ligne

#92 30/01/2015 19:21:10

f-toro
Administrateur
Lieu : LFLA
Inscription : 16/12/2007
Messages : 2 202

Re : Comment installer Flightgear-Osgearth pour Linux

Oups nos messages se sont croisés.
Je regarde.


André. anciennement taureau89_9
Debian Testing Amd64. CM Sabertooth 990FX, FX8350, 32 Go Ram DDR3 1866 Mhz, GTX 750ti 2Go, DD 2To Sata 3, THRUSTMASTER T.Flight StickX, FG 2017.4.0 Git.

Hors ligne

#93 30/01/2015 19:38:41

f-toro
Administrateur
Lieu : LFLA
Inscription : 16/12/2007
Messages : 2 202

Re : Comment installer Flightgear-Osgearth pour Linux

Moi j'ai ça :

linux-vdso.so.1 (0x00007fff6f6a8000)
	libgdal.so.1 => /usr/lib/libgdal.so.1 (0x00007f37bb670000)
	libopenal.so.1 => /usr/lib/x86_64-linux-gnu/libopenal.so.1 (0x00007f37bb410000)
	libdbus-1.so.3 => /lib/x86_64-linux-gnu/libdbus-1.so.3 (0x00007f37bb1c8000)
	libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f37bafa8000)
	libosgText.so.100 => /home/andre/flightgear_osgearth/install/osg/lib64/libosgText.so.100 (0x00007f37bad38000)
	libosgSim.so.100 => /home/andre/flightgear_osgearth/install/osg/lib64/libosgSim.so.100 (0x00007f37baa90000)
	libosgDB.so.100 => /home/andre/flightgear_osgearth/install/osg/lib64/libosgDB.so.100 (0x00007f37ba770000)
	libosgParticle.so.100 => /home/andre/flightgear_osgearth/install/osg/lib64/libosgParticle.so.100 (0x00007f37ba508000)
	libosgFX.so.100 => /home/andre/flightgear_osgearth/install/osg/lib64/libosgFX.so.100 (0x00007f37ba2d0000)
	libosgUtil.so.100 => /home/andre/flightgear_osgearth/install/osg/lib64/libosgUtil.so.100 (0x00007f37b9ee0000)
	libosgViewer.so.100 => /home/andre/flightgear_osgearth/install/osg/lib64/libosgViewer.so.100 (0x00007f37b9bf0000)
	libosgGA.so.100 => /home/andre/flightgear_osgearth/install/osg/lib64/libosgGA.so.100 (0x00007f37b9970000)
	libosg.so.100 => /home/andre/flightgear_osgearth/install/osg/lib64/libosg.so.100 (0x00007f37b9410000)
	libOpenThreads.so.20 => /home/andre/flightgear_osgearth/install/osg/lib64/libOpenThreads.so.20 (0x00007f37b9208000)
	libGLU.so.1 => /usr/lib/x86_64-linux-gnu/libGLU.so.1 (0x00007f37b8f98000)
	libGL.so.1 => /usr/lib/x86_64-linux-gnu/libGL.so.1 (0x00007f37b8c48000)
	libSM.so.6 => /usr/lib/x86_64-linux-gnu/libSM.so.6 (0x00007f37b8a40000)
	libICE.so.6 => /usr/lib/x86_64-linux-gnu/libICE.so.6 (0x00007f37b8820000)
	libX11.so.6 => /usr/lib/x86_64-linux-gnu/libX11.so.6 (0x00007f37b84d8000)
	libXext.so.6 => /usr/lib/x86_64-linux-gnu/libXext.so.6 (0x00007f37b82c0000)
	libplibpuaux.so.1 => /usr/lib/libplibpuaux.so.1 (0x00007f37b8098000)
	libplibjs.so.1 => /usr/lib/libplibjs.so.1 (0x00007f37b7e90000)
	libplibpu.so.1 => /usr/lib/libplibpu.so.1 (0x00007f37b7c70000)
	libplibfnt.so.1 => /usr/lib/libplibfnt.so.1 (0x00007f37b7a50000)
	libplibsg.so.1 => /usr/lib/libplibsg.so.1 (0x00007f37b7838000)
	libplibul.so.1 => /usr/lib/libplibul.so.1 (0x00007f37b7630000)
	libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007f37b7410000)
	librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f37b7208000)
	libosgEarth.so.0 => /home/andre/flightgear_osgearth/install/osgearth/lib64/libosgEarth.so.0 (0x00007f37b6cc0000)
	libosgEarthUtil.so.0 => /home/andre/flightgear_osgearth/install/osgearth/lib64/libosgEarthUtil.so.0 (0x00007f37b68c8000)
	libosgEarthSymbology.so.0 => /home/andre/flightgear_osgearth/install/osgearth/lib64/libosgEarthSymbology.so.0 (0x00007f37b6578000)
	libosgEarthAnnotation.so.0 => /home/andre/flightgear_osgearth/install/osgearth/lib64/libosgEarthAnnotation.so.0 (0x00007f37b62a8000)
	libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f37b5f98000)
	libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f37b5c90000)
	libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f37b5a78000)
	libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f37b56c8000)
	libarmadillo.so.4 => /usr/lib/libarmadillo.so.4 (0x00007f37b54c0000)
	libproj.so.0 => /usr/lib/libproj.so.0 (0x00007f37b5268000)
	libpoppler.so.46 => /usr/lib/x86_64-linux-gnu/libpoppler.so.46 (0x00007f37b4dd8000)
	libfreexl.so.1 => /usr/lib/x86_64-linux-gnu/libfreexl.so.1 (0x00007f37b4bc8000)
	libgeos_c.so.1 => /usr/lib/libgeos_c.so.1 (0x00007f37b49a0000)
	libwebp.so.5 => /usr/lib/x86_64-linux-gnu/libwebp.so.5 (0x00007f37b4740000)
	libepsilon.so.1 => /usr/lib/x86_64-linux-gnu/libepsilon.so.1 (0x00007f37b4528000)
	libodbc.so.2 => /usr/lib/x86_64-linux-gnu/libodbc.so.2 (0x00007f37b42c0000)
	libodbcinst.so.2 => /usr/lib/x86_64-linux-gnu/libodbcinst.so.2 (0x00007f37b40a8000)
	libkmldom.so.0 => /usr/lib/x86_64-linux-gnu/libkmldom.so.0 (0x00007f37b3df8000)
	libkmlbase.so.0 => /usr/lib/x86_64-linux-gnu/libkmlbase.so.0 (0x00007f37b3be0000)
	libkmlengine.so.0 => /usr/lib/x86_64-linux-gnu/libkmlengine.so.0 (0x00007f37b39a8000)
	libkmlconvenience.so.0 => /usr/lib/x86_64-linux-gnu/libkmlconvenience.so.0 (0x00007f37b3788000)
	libminizip.so.0 => /usr/lib/x86_64-linux-gnu/libminizip.so.0 (0x00007f37b3580000)
	liburiparser.so.1 => /usr/lib/liburiparser.so.1 (0x00007f37b3360000)
	libexpat.so.1 => /lib/x86_64-linux-gnu/libexpat.so.1 (0x00007f37b3130000)
	libxerces-c-3.1.so => /usr/lib/x86_64-linux-gnu/libxerces-c-3.1.so (0x00007f37b2b98000)
	libjasper.so.1 => /usr/lib/x86_64-linux-gnu/libjasper.so.1 (0x00007f37b2938000)
	libnetcdf.so.7 => /usr/lib/libnetcdf.so.7 (0x00007f37b25e8000)
	libhdf5_serial.so.8 => /usr/lib/x86_64-linux-gnu/libhdf5_serial.so.8 (0x00007f37b2128000)
	libmfhdfalt.so.0 => /usr/lib/libmfhdfalt.so.0 (0x00007f37b1f00000)
	libdfalt.so.0 => /usr/lib/libdfalt.so.0 (0x00007f37b1c50000)
	libogdi.so.3.2 => /usr/lib/libogdi.so.3.2 (0x00007f37b1a30000)
	libgif.so.4 => /usr/lib/x86_64-linux-gnu/libgif.so.4 (0x00007f37b1820000)
	libjpeg.so.62 => /usr/lib/x86_64-linux-gnu/libjpeg.so.62 (0x00007f37b15c8000)
	libpng12.so.0 => /lib/x86_64-linux-gnu/libpng12.so.0 (0x00007f37b13a0000)
	libpq.so.5 => /usr/lib/x86_64-linux-gnu/libpq.so.5 (0x00007f37b1170000)
	liblzma.so.5 => /lib/x86_64-linux-gnu/liblzma.so.5 (0x00007f37b0f48000)
	libdapclient.so.3 => /usr/lib/x86_64-linux-gnu/libdapclient.so.3 (0x00007f37b0d08000)
	libdapserver.so.7 => /usr/lib/x86_64-linux-gnu/libdapserver.so.7 (0x00007f37b0af8000)
	libdap.so.11 => /usr/lib/x86_64-linux-gnu/libdap.so.11 (0x00007f37b0808000)
	libspatialite.so.5 => /usr/lib/x86_64-linux-gnu/libspatialite.so.5 (0x00007f37b0200000)
	libcurl-gnutls.so.4 => /usr/lib/x86_64-linux-gnu/libcurl-gnutls.so.4 (0x00007f37aff90000)
	libxml2.so.2 => /usr/lib/x86_64-linux-gnu/libxml2.so.2 (0x00007f37afc28000)
	libmysqlclient.so.18 => /usr/lib/x86_64-linux-gnu/libmysqlclient.so.18 (0x00007f37af6e0000)
	libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f37af4d8000)
	/lib64/ld-linux-x86-64.so.2 (0x00007f37bc430000)
	libXrandr.so.2 => /usr/lib/x86_64-linux-gnu/libXrandr.so.2 (0x00007f37af2c8000)
	libnvidia-tls.so.340.65 => /usr/lib/x86_64-linux-gnu/tls/libnvidia-tls.so.340.65 (0x00007f37af0c0000)
	libnvidia-glcore.so.340.65 => /usr/lib/x86_64-linux-gnu/libnvidia-glcore.so.340.65 (0x00007f37ac4a8000)
	libuuid.so.1 => /lib/x86_64-linux-gnu/libuuid.so.1 (0x00007f37ac2a0000)
	libxcb.so.1 => /usr/lib/x86_64-linux-gnu/libxcb.so.1 (0x00007f37ac078000)
	libXi.so.6 => /usr/lib/x86_64-linux-gnu/libXi.so.6 (0x00007f37abe68000)
	libXmu.so.6 => /usr/lib/x86_64-linux-gnu/libXmu.so.6 (0x00007f37abc48000)
	libosgTerrain.so.100 => /home/andre/flightgear_osgearth/install/osg/lib64/libosgTerrain.so.100 (0x00007f37aba00000)
	libosgShadow.so.100 => /home/andre/flightgear_osgearth/install/osg/lib64/libosgShadow.so.100 (0x00007f37ab750000)
	libosgManipulator.so.100 => /home/andre/flightgear_osgearth/install/osg/lib64/libosgManipulator.so.100 (0x00007f37ab500000)
	libosgEarthFeatures.so.0 => /home/andre/flightgear_osgearth/install/osgearth/lib64/libosgEarthFeatures.so.0 (0x00007f37ab1e8000)
	libosgWidget.so.100 => /home/andre/flightgear_osgearth/install/osg/lib64/libosgWidget.so.100 (0x00007f37aaf78000)
	libblas.so.3 => /usr/lib/libblas.so.3 (0x00007f37aacf8000)
	liblapack.so.3 => /usr/lib/liblapack.so.3 (0x00007f37aa548000)
	libarpack.so.2 => /usr/lib/libarpack.so.2 (0x00007f37aa2f8000)
	liblcms2.so.2 => /usr/lib/x86_64-linux-gnu/liblcms2.so.2 (0x00007f37aa098000)
	libtiff.so.5 => /usr/lib/x86_64-linux-gnu/libtiff.so.5 (0x00007f37a9e20000)
	libopenjpeg.so.5 => /usr/lib/x86_64-linux-gnu/libopenjpeg.so.5 (0x00007f37a9bf8000)
	libfontconfig.so.1 => /usr/lib/x86_64-linux-gnu/libfontconfig.so.1 (0x00007f37a99b8000)
	libfreetype.so.6 => /usr/lib/x86_64-linux-gnu/libfreetype.so.6 (0x00007f37a9708000)
	libgeos-3.4.2.so => /usr/lib/libgeos-3.4.2.so (0x00007f37a9360000)
	libpopt.so.0 => /lib/x86_64-linux-gnu/libpopt.so.0 (0x00007f37a9150000)
	libltdl.so.7 => /usr/lib/x86_64-linux-gnu/libltdl.so.7 (0x00007f37a8f40000)
	libnsl.so.1 => /lib/x86_64-linux-gnu/libnsl.so.1 (0x00007f37a8d28000)
	libicui18n.so.52 => /usr/lib/x86_64-linux-gnu/libicui18n.so.52 (0x00007f37a8910000)
	libicuuc.so.52 => /usr/lib/x86_64-linux-gnu/libicuuc.so.52 (0x00007f37a8590000)
	libicudata.so.52 => /usr/lib/x86_64-linux-gnu/libicudata.so.52 (0x00007f37a6d20000)
	libhdf5_serial_hl.so.8 => /usr/lib/x86_64-linux-gnu/libhdf5_serial_hl.so.8 (0x00007f37a6ae8000)
	libssl.so.1.0.0 => /usr/lib/x86_64-linux-gnu/libssl.so.1.0.0 (0x00007f37a6888000)
	libcrypto.so.1.0.0 => /usr/lib/x86_64-linux-gnu/libcrypto.so.1.0.0 (0x00007f37a6488000)
	libgssapi_krb5.so.2 => /usr/lib/x86_64-linux-gnu/libgssapi_krb5.so.2 (0x00007f37a6238000)
	libldap_r-2.4.so.2 => /usr/lib/x86_64-linux-gnu/libldap_r-2.4.so.2 (0x00007f37a5fe0000)
	libsqlite3.so.0 => /usr/lib/x86_64-linux-gnu/libsqlite3.so.0 (0x00007f37a5d18000)
	libidn.so.11 => /usr/lib/x86_64-linux-gnu/libidn.so.11 (0x00007f37a5ae0000)
	librtmp.so.1 => /usr/lib/x86_64-linux-gnu/librtmp.so.1 (0x00007f37a58c0000)
	libssh2.so.1 => /usr/lib/x86_64-linux-gnu/libssh2.so.1 (0x00007f37a5690000)
	libnettle.so.4 => /usr/lib/x86_64-linux-gnu/libnettle.so.4 (0x00007f37a5458000)
	libgnutls-deb0.so.28 => /usr/lib/x86_64-linux-gnu/libgnutls-deb0.so.28 (0x00007f37a5138000)
	libkrb5.so.3 => /usr/lib/x86_64-linux-gnu/libkrb5.so.3 (0x00007f37a4e60000)
	libk5crypto.so.3 => /usr/lib/x86_64-linux-gnu/libk5crypto.so.3 (0x00007f37a4c28000)
	libcom_err.so.2 => /lib/x86_64-linux-gnu/libcom_err.so.2 (0x00007f37a4a20000)
	liblber-2.4.so.2 => /usr/lib/x86_64-linux-gnu/liblber-2.4.so.2 (0x00007f37a4810000)
	libXrender.so.1 => /usr/lib/x86_64-linux-gnu/libXrender.so.1 (0x00007f37a4600000)
	libXau.so.6 => /usr/lib/x86_64-linux-gnu/libXau.so.6 (0x00007f37a43f8000)
	libXdmcp.so.6 => /usr/lib/x86_64-linux-gnu/libXdmcp.so.6 (0x00007f37a41f0000)
	libXt.so.6 => /usr/lib/x86_64-linux-gnu/libXt.so.6 (0x00007f37a3f80000)
	libgfortran.so.3 => /usr/lib/x86_64-linux-gnu/libgfortran.so.3 (0x00007f37a3c60000)
	libquadmath.so.0 => /usr/lib/x86_64-linux-gnu/libquadmath.so.0 (0x00007f37a3a20000)
	libjbig.so.0 => /usr/lib/x86_64-linux-gnu/libjbig.so.0 (0x00007f37a3810000)
	libkrb5support.so.0 => /usr/lib/x86_64-linux-gnu/libkrb5support.so.0 (0x00007f37a3600000)
	libkeyutils.so.1 => /lib/x86_64-linux-gnu/libkeyutils.so.1 (0x00007f37a33f8000)
	libresolv.so.2 => /lib/x86_64-linux-gnu/libresolv.so.2 (0x00007f37a31e0000)
	libsasl2.so.2 => /usr/lib/x86_64-linux-gnu/libsasl2.so.2 (0x00007f37a2fc0000)
	libhogweed.so.2 => /usr/lib/x86_64-linux-gnu/libhogweed.so.2 (0x00007f37a2d90000)
	libgmp.so.10 => /usr/lib/x86_64-linux-gnu/libgmp.so.10 (0x00007f37a2b08000)
	libgcrypt.so.20 => /lib/x86_64-linux-gnu/libgcrypt.so.20 (0x00007f37a2820000)
	libp11-kit.so.0 => /usr/lib/x86_64-linux-gnu/libp11-kit.so.0 (0x00007f37a25d8000)
	libtasn1.so.6 => /usr/lib/x86_64-linux-gnu/libtasn1.so.6 (0x00007f37a23c0000)
	libgpg-error.so.0 => /lib/x86_64-linux-gnu/libgpg-error.so.0 (0x00007f37a21a8000)
	libffi.so.6 => /usr/lib/x86_64-linux-gnu/libffi.so.6 (0x00007f37a1fa0000)

pas tout à fait pareil vu qu'on a pas tout à fait les mêmes configs, mais ça ne me semble pas fondamentalement différend.

Y vois-tu quelque chose d'anormal ?

Attention, mon erreur de linkage osgearth est vraiment tout au bout, là où tu ne vas pas...


André. anciennement taureau89_9
Debian Testing Amd64. CM Sabertooth 990FX, FX8350, 32 Go Ram DDR3 1866 Mhz, GTX 750ti 2Go, DD 2To Sata 3, THRUSTMASTER T.Flight StickX, FG 2017.4.0 Git.

Hors ligne

#94 30/01/2015 22:01:29

lann
Membre
Inscription : 10/01/2010
Messages : 136

Re : Comment installer Flightgear-Osgearth pour Linux

f-toro a écrit :

Y vois-tu quelque chose d'anormal ?

A première vue, je dirai que tu as sensiblement les mêmes chemins que moi

f-toro a écrit :

Attention, mon erreur de linkage osgearth est vraiment tout au bout, là où tu ne vas pas...

Vois-tu le menu de Flightgear ?

Si oui, je ne pourrai pas te confirmer que moi aussi je n'ai pas potentiellement ce problème. I faudra attendre qu'un autre de nos compileurs fous arrive au bout de la compilation


Debian stable 64 bits - Core I7 - 14 Go de RAM - NVIDIA GTX-260 - FG 2017.3.1 ou flightgear-osgearth 3.1.0
Logitech Extreme 3D PRO

Hors ligne

#95 30/01/2015 23:45:08

f-toro
Administrateur
Lieu : LFLA
Inscription : 16/12/2007
Messages : 2 202

Re : Comment installer Flightgear-Osgearth pour Linux

lann a écrit :

Vois-tu le menu de Flightgear ?

Bien sûr que je le vois !
Je le vois suffisamment longuement, et j'ai même le temps avec la souris d'en dérouler les articles !

Avant, hélas, la fermeture brutale de la fenêtre, pile au moment où s'affiche l'erreur dans la console.

Je vais quand même retenter une compilation totale, maintenant que je sais où sont certains pièges à éviter.


André. anciennement taureau89_9
Debian Testing Amd64. CM Sabertooth 990FX, FX8350, 32 Go Ram DDR3 1866 Mhz, GTX 750ti 2Go, DD 2To Sata 3, THRUSTMASTER T.Flight StickX, FG 2017.4.0 Git.

Hors ligne

#96 31/01/2015 9:45:07

lann
Membre
Inscription : 10/01/2010
Messages : 136

Re : Comment installer Flightgear-Osgearth pour Linux

f-toro a écrit :

Je vais quand même retenter une compilation totale, maintenant que je sais où sont certains pièges à éviter.

J'ai hâte de connaitre le résultat


Debian stable 64 bits - Core I7 - 14 Go de RAM - NVIDIA GTX-260 - FG 2017.3.1 ou flightgear-osgearth 3.1.0
Logitech Extreme 3D PRO

Hors ligne

#97 31/01/2015 10:31:26

ctesc356
Membre
Inscription : 18/05/2010
Messages : 2 229

Re : Comment installer Flightgear-Osgearth pour Linux

f-toro a écrit :

Mais si les paquets système libgdal1h, libgdal-dev et libgdal1-dev sont installés, et si la compilation est bien relancée, il n'y a aucune raison qu'il y ait l'erreur :

/usr/bin/ld: CMakeFiles/fgfs.dir/__/Viewer/OsgEarthHeightField.cxx.o: référence au symbole non défini «GDALSetRasterNoDataValue@@GDAL_1.8»
/usr/lib/gcc/x86_64-linux-gnu/4.8/../../../../lib/libgdal.so: error adding symbols: DSO missing from command line

et ce avec le cmake que tu nous as indiqué, ctesc356.

libgdal1h, libgdal-dev et libgdal1-dev sont installés, cmake semble s'éxecuter sans souci mais make renvoie toujours pareil (ci-dessus)


Intel i5 3570 3.4Mhz, Nvidia GTX 660, 8Go Ram, Linux Mint

Hors ligne

#98 31/01/2015 10:51:30

f-toro
Administrateur
Lieu : LFLA
Inscription : 16/12/2007
Messages : 2 202

Re : Comment installer Flightgear-Osgearth pour Linux

Alors là, mystère.

As-tu bien libgdal.so dan /usr/lib/ ?

Sinon pour moi la compilation des librairies gdal, comme nous l'avait suggéré lann, n'est pas utile, mais tu peux toujours essayer quand même...
Si tu compiles cette librairie, utilise checkinstall qui permet ensuite de la supprimer, au besoin, facilement.


André. anciennement taureau89_9
Debian Testing Amd64. CM Sabertooth 990FX, FX8350, 32 Go Ram DDR3 1866 Mhz, GTX 750ti 2Go, DD 2To Sata 3, THRUSTMASTER T.Flight StickX, FG 2017.4.0 Git.

Hors ligne

#99 31/01/2015 11:53:02

ctesc356
Membre
Inscription : 18/05/2010
Messages : 2 229

Re : Comment installer Flightgear-Osgearth pour Linux

f-toro a écrit :

As-tu bien libgdal.so dan /usr/lib/ ?

j'en ai plusieurs hmm dont un dans /usr/lib/ ça pourrait f... la pagaille?

tt@tt-Z68:~ > locate libgdal.so
/opt/google/earth/free/libgdal.so.1
/usr/lib/libgdal.so
/usr/lib/libgdal.so.1
/usr/lib/libgdal.so.1.17.1
/usr/lib/grass64/lib/libgdal.so
/usr/lib/ogdi/libgdal.so


Intel i5 3570 3.4Mhz, Nvidia GTX 660, 8Go Ram, Linux Mint

Hors ligne

#100 31/01/2015 12:45:36

f-toro
Administrateur
Lieu : LFLA
Inscription : 16/12/2007
Messages : 2 202

Re : Comment installer Flightgear-Osgearth pour Linux

Pas impossible car c'est sensible à priori cette petite bête de gdal.
Encore que à priori je comprends pas pourquoi.

Moi j'ai ça :

andre@990FX6100:~$ locate libgdal.so
/home/andre/flightgear_osgearth/gdal/gdal-1.11.1/.libs/libgdal.so
/home/andre/flightgear_osgearth/gdal/gdal-1.11.1/.libs/libgdal.so.1
/home/andre/flightgear_osgearth/gdal/gdal-1.11.1/.libs/libgdal.so.1.18.1
/home/andre/flightgear_osgearth/gdal/gdal-1.11.1+dfsg/.libs/libgdal.so
/home/andre/flightgear_osgearth/gdal/gdal-1.11.1+dfsg/.libs/libgdal.so.1
/home/andre/flightgear_osgearth/gdal/gdal-1.11.1+dfsg/.libs/libgdal.so.1.18.1
/home/andre/flightgear_osgearth/gdal/gdal-1.8.0/.libs/libgdal.so
/home/andre/flightgear_osgearth/gdal/gdal-1.8.0/.libs/libgdal.so.1
/home/andre/flightgear_osgearth/gdal/gdal-1.8.0/.libs/libgdal.so.1.15.0
/usr/lib/libgdal.so
/usr/lib/libgdal.so.1
/usr/lib/libgdal.so.1.17.1
/usr/lib/ogdi/libgdal.so
andre@990FX6100:~$

mais attention toutes les premières lignes sont dans des répertoires sources que j'avais téléchargé pour des essais de compilation gdal (et que je pourrais virer si je n'en ai plus l'utilité) et ne sont pas installés dans le système, donc n'ont pas d'influence sur la compilation.


André. anciennement taureau89_9
Debian Testing Amd64. CM Sabertooth 990FX, FX8350, 32 Go Ram DDR3 1866 Mhz, GTX 750ti 2Go, DD 2To Sata 3, THRUSTMASTER T.Flight StickX, FG 2017.4.0 Git.

Hors ligne

Pied de page des forums